Ticket #300 (reopened feature)

Opened 4 years ago

Last modified 2 years ago

TC Electronic Konnekt24D ffado-mixer request

Reported by: cedricr Assigned to: arnonym
Priority: waiting for device info Milestone: Indeterminant (need device info)
Component: devices/dice Version: FFADO SVN (trunk)
Keywords: Konnekt24D Cc: 1905
The device the bug applies to:

Description

Dear All,

Since the 2.0.1 version it is possible to use my TC Electronic Konnekt24D with ffado. So, I would like to request a specific mixer GUI for Konnekt audio interface with ffado. I am available to do some test if your need.

Kind regards,

CedricR

Attachments

ffado-mixer.png (15.4 kB) - added by cedricr on 09/26/10 01:59:45.
ffado-mixer screenshot
ffado-mixer1.png (34.6 kB) - added by cedricr on 10/01/10 12:44:01.
ffado-diag.txt (7.0 kB) - added by cedricr on 10/01/10 12:44:46.

Change History

09/10/10 14:18:54 changed by arnonym

  • status changed from new to assigned.
  • owner set to arnonym.

Maybe you can try to add Mixer = "Generic_Dice_EAP"; to your devices definition in the "configuration" file?

And then tell us if that works as a start.

09/11/10 00:02:57 changed by cedricr

Thank you for your answer. Must I change the configuration before the compilation or can I do it after?

09/11/10 05:39:14 changed by arnonym

  • version changed from FFADO 2.0.1 to FFADO SVN (trunk).

You can modify the configuration file before compiling/installing, you can modify the installed file. Or (my recommendation) you copy the part for your device into ~/.ffado/configuration and add the line there.

The configuration-file is not compiled into the library...

09/26/10 01:59:45 changed by cedricr

  • attachment ffado-mixer.png added.

ffado-mixer screenshot

09/26/10 02:00:00 changed by cedricr

Sorry for the delay. I have copy the configuration file into ~/.ffado/ because this directory was empty and add the line Mixer = "Generic_Dice_EAP"; in the Konnekt 24D as below : {

vendorid = 0x000166; modelid = 0x00000020; vendorname = "TC Electronic"; modelname = "Konnekt 24D"; driver = 20; Mixer = "Generic_Dice_EAP";

},

After that, ffado-mixer seems working (I can launch a jack session withQjackCtl) but the ffado-mixer is empty. Please see the attached screenshot. What I can do now ? Is there command to check somethink ?

10/01/10 12:43:12 changed by cedricr

  • cc set to 1905.
  • keywords set to Konnekt24D.

I have made new test but it seems that the Generic_Dice_EAP mixer doesn't working with the konnekt24D (please see the screenshot in ffado-mixer.png file). I am available if you need other test.

10/01/10 12:44:01 changed by cedricr

  • attachment ffado-mixer1.png added.

10/01/10 12:44:46 changed by cedricr

  • attachment ffado-diag.txt added.

12/12/10 06:41:52 changed by juanramon

Same in Konnekt 48, I know is not the same device but I think is the same way to access it. When I launch ffado-mixer in console I get this message.

dbus.exceptions.DBusException: org.freedesktop.DBus.Error.UnknownMethod?: Method "getColCount" with signature "" on interface "org.ffado.Control.Element.MatrixMixer?" doesn't exist"

Is it Maybe the same that yours?

12/12/10 22:33:58 changed by ppalmers

The TC Konnekt devices don't use EAP. They have a fully custom mixer of which we don't have the details.

12/15/10 08:19:18 changed by cedricr

12/15/10 08:58:39 changed by ppalmers

The devil is in the 'some' ...

They have not provided any documentation with respect to the mixer. I would suggest that you contact them and ask them to be a bit more specific.

03/29/12 06:04:50 changed by jwoithe

  • priority changed from major to waiting for device info.
  • status changed from assigned to closed.
  • resolution set to wontfix.

As Pieter wrote in comment 9, we have not been given the information required to write a mixer panel to interact with the custom mixer utilised by the TC Konnekt devices. Such functionality can only be added to FFADO if one of the following occur:

  • TC release the required information
  • Someone with a Konnekt performs protocol analysis to deduce how to control the mixer, and uses this to implement a Konnekt ffado-mixer panel

At this point it is not possible to foresee either of these happening in a particular time period, so I will close this ticket. To reflect the fact that we need additional information about the device before we can act on this ticket I'll set the priority to "waiting for device info"; if such information is forthcoming in future this ticket can be reopened.

04/10/12 05:56:43 changed by jwoithe

  • status changed from closed to reopened.
  • resolution deleted.
  • milestone set to Indeterminant (need device info).

Reopen, and assign to the "indeterminant" milestone. This better reflects the intent with this (and similar) tickets: while we can't fix now, we would welcome patches which did in the future. Keeping the ticket open increases its visibility in the tracker so it's not forgotten over time and makes it easier for prospective contributors to find.

04/18/12 08:52:47 changed by cedricr

What is the method to analyze the protocol in order to deduce how to control the mixer?

04/18/12 10:15:52 changed by cladisch

Either special hardware to snoop on the FireWire? traffic, or writing a program that pretends to be a Konnekt device. Then, lots of reverse engineering.

04/18/12 16:26:47 changed by jwoithe

To expand on Clemens's comment, the "special hardware" is either a dedicated bus analyser which includes firewire support, or a PCILynx-based PCI card in conjunction with the nosy program (now distributed as part of the kernel source tree).

To give you some feel for what's involved, you might like to check out the slides and/or presentation I gave at Linux.conf.au in 2011. The main conference site at http://lca2011.linux.org.au/ seems to be down at present, but the video can also be found at http://blip.tv/linuxconfau/playing-with-fire-protocol-analysis-techniques-for-the-firewire-bus-4711189 with the slides at http://www.atrad.com.au/~jwoithe/lca2011/lca2011_firewire_analysis_talk.pdf. Perhaps drop me a line via email if you are interested in more detailed information (you can grab my address from my postings to ffado-devel).

06/29/12 09:11:38 changed by lwatt

Hi, I'm a happy ffado user from 2 years for my Konnekt 24D and 48. This devices work very well with your great great works ! The 3 DSP recall of this devices are useful and limit the negative impact of the no dsp control possibility under GNU/Linux but ... it's really better to can do it :)

It's really a good news to this this thread active ... we can do something !!!

Many thanks to Jonathan Woithe for your firewire analysis guide, I've found a G4 pci whith the famous PCILynx firewire card for a good price (50€). After that, I thought dumping firewire bus will be an easy task to do on MaxOS with FireBug?, but the only TC Near driver available for MACOS 10.4 is 2.41 and it's impossible to install MacOS 10.5 on this old school machine for newest drivers ....

So what is the problem with MacOS 10.4 and 2.41 drivers ? ... When a turn ON my Konnekt24D, the blue light appear ... but MacOS disappear ... ha ha ha, it crash each time the konnekt device is ON, at boot time, on idle ... etc

So what could I do ? Again thanks Jonathan Woithe, I've install Ubuntu ppc 12.04 on this G4 (yes it's work !), compile nosy-dump and now I can dump easily the firewire flow between Tc Near Control Panel and a Konnekt24D and Konnekt48 in a second time.

So .... let's dump :)

The are a lot of firewire traffic when TC Near Control Panel is launch. The are many dsp possibility's with this device, I need some help to catch the good traces useful for you to begin the dsp control implementation in a possible future ffado-mixer.

06/30/12 21:57:45 changed by jwoithe

This is a brief response since I don't have a lot of time right now.

While I've heard that the mac with PCILynx card can be used for dumping under some version of MacOSX, I haven't personally done this myself or spoken to anyone who has. I'm only reporting what I've heard around the place. However, this probably doesn't matter in your case because if I understand things correctly you are able to use nosy under Linux on this mac to do the job, which is great.

Regarding the protocol analysis side of things, it's probably best to take this discussion to email: trying to do this on this ticket will make the ticket incomprehensibly long very quickly I suspect. You can pick my email address from any of my postings to ffado-devel or ffado-user. If you have difficulty doing this please let me know and we'll work out another method to kickstart the offlist discussion.